Skip to main content
DELETE
Close Payment Link

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

ID of the Payment Link to close

Response

The updated Payment Link

Payment Link

id
string

ID of the offer, always starting with plk_.

Example:

"plk_abc12345def678"

description
string

Description which will be used on the bank statement of the payer

Example:

"Contribution costs"

currency
string

Currency

Example:

"EUR"

amount
string

Amount value as string.

Example:

"12.95"

reusable
boolean

Indicates if the link can be used multiple times after a payment was successful

Example:

true

expiresAt
string | null

Date and time the link will expire and so not longer can used, if set. Written in ATOM format.

Example:

"2024-05-14T21:00:00+02:00"

status
string

Current status of the link. Possible values are open, paid, expired and closed.

Example:

"open"

checkoutUrl
string | null

The actual link where you can redirect a payer to for doing the payment. Will return null when the payment link can no longer be used.

Example:

"https://demo.mijnklantportaal.nl/payment-link/plk_abc12345def678"

createdAt
string

Date and time when the payment link was created. Written in ATOM format.

Example:

"2024-04-29T21:00:00+02:00"